IM_HIST(3)

NAME
im_hist - create a displayable histogram from an image

SYNOPSIS
#include <vips/vips.h> int im_hist(in, plotofhist, bandno)
IMAGE *in, *plotofhist;
int bandno;

DESCRIPTION
im_hist() creates a displayable histogram file for the image held by the image descriptor in. The created displayable histogram is held in the IMAGE descriptor plotofhist. If bandno=0 a displayable histogram of all input bands is created else the histogram of bandno only is created. The function expects as input a valid unsigned char image of any size. The sizes of the produced image file are 256 by 256. The created histogram is scaled with its max value corresponding to 255.

RETURN VALUE
All functions returns 0 on success and -1 on error.

SEE ALSO
im_histgr(3), im_mmapin(3), im_openout(3), im_setbuf(3).

COPYRIGHT
N. Dessipris

AUTHOR
N. Dessipris - 10/05/1991